USE [ATNDBTest]
GO
-------------------------------------------------------------------------------------------------------------------

If Exists(Select * From sys.tables Where name = 'BIReportFile') DROP TABLE dbo.BIReportFile
GO
-------------------------------------------------------------------------------------------------------------------

Create Table dbo.BIReportFile(
	Serial int NOT NULL,
	--
	-- کد گزارش
	Code int Null,
	--
	-- این فیلد در ریبون و منوی هوش تجاری بیلان به عنوان نام فارسی منو استفاده می شود
	FADes Varchar(300) Null,
	--
	-- این فیلد در ریبون و منوی هوش تجاری بیلان به عنوان نام انگلیسی منو استفاده می شود
	ENDes Varchar(300) Null, 
	--
	-- نام فایل اکسلی که کاربر در برنامه بارگذاری می کند در این فیلد نگهداری می شود
	-- عملا از این نام هیچ استفاده ای نمی کنیم و فقط با نگهداری آن به کاربر این حس را می دهیم
	-- که فایل ذخیره شده ولی ما در برنامه هنوز هیچ استفاده ای از این نام نمی کنیم
	ReportFileName Varchar(250) NULL, 
	--
	-- توسط این فیلد کاربر می تواند گزارشات را گروه بندی کند
	-- هنوز هیچ استفاده ای نکردم
	ReportGroup Varchar(50) NULL, 
	--
	-- SystemsOperation منو کد هر گزارش در این ستون نگهداری می شود و این منو کد در جدول 
	-- نبوده و برای هر دفتر مالی مجزا می باشد
	--
	-- SystemsOperation منو کد هر گزارش در این ستون نگهداری می شود و این منو کدها در جدول 
	-- با هم تجمیع می شوند. همچنین این SystemsOperationList با نام View وجود ندارد و در یک
	-- منو کدها برای هر دفتر مالی مجزا هسنتد
	SystemsOperationRef Varchar(20) NULL, 
	--
	-- RibbonComponent سریال آیتمهای ریبون هر گزارش در این ستون نگهداری می شود و این سـریالها در جدول 
	-- با هم تجمیع می شوند. همچنین این سریالها برای RibbonComponentList با نام View وجود ندارد و در یک
	-- هر دفتر مالی مجزا هسنتد
	RibbonComponentRef Varchar(20) Null,
	--
	-- نام ایکون ریبون در این فیلد نگهداری می شود. لازم به ذکر است که فایل آیکون در داخل فایل اجرایی
	-- EmbdedResource برنامه گنجانده شده است
	IconName Varchar(50) Null,
	--
	-- محتویات فایل در این فیلد نگهداری می شود
	Content Varbinary(MAX) NULL,
	--
	RecorderRef Int Null,
	RecordDate char(10) Null,
	EditorRef Int Null,
	EditDate char(10) Null,
	--
	-- فیلد توضیحات
	Comment Varchar(300) Null,
	--
	-- گزارشات برای هر دفتر مالی به صورت مجزا نگهداری می شود
	OfficeDetailRef Int Null)
GO
Alter Table dbo.BIReportFile Add Constraint PK_BIReportFile Primary Key Clustered (Serial)
GO
